plot.ptw {ptw} | R Documentation

## Plot a ptw object

### Description

The function plots a `ptw` object. It shows either the original and warped signals, or the warping function.

### Usage

    ## S3 method for class 'ptw'
    plot(x, what = c("signal", "function"),
             type = c("simultaneous", "individual"), ask = TRUE, ...)

### Arguments

`x` | object of class 'ptw'
`what` | `"signal"` plots the reference, sample and warped sample signal(s); `"function"` plots the warping function as warped 'time' - 'time' for the forward warping mode and as 'time' - warped 'time' for the backward warping mode.
`type` | `"simultaneous"` plots all signals or warping functions in one plot; `"individual"` generates multiple plots
`ask` | logical, whether to ask before showing a new plot
`...` | further arguments to the plotting functions

### Author(s)

Jan Gerretzen, Ron Wehrens, Tom Bloemberg

### Examples

    data(gaschrom)
    ref <- gaschrom[1:8,]
    samp <- gaschrom[9:16,]
    gaschrom.ptw <- ptw(ref, samp, warp.type = "individual",
                  optim.crit = "RMS", init.coef = c(0, 1, 0, 0))
    plot(gaschrom.ptw)
    plot(gaschrom.ptw, what = "function")

[Package ptw version 1.9-13 Index]